<?php
return array(
	'metabox_id' => 'map_location',
	'metabox_title' => 'Map Location',
	'post_type' => ResponsiveGoogleMaps_Plugin::$settings->get('location_slug'),
	'context' => 'normal', //normal, advanced, side
	'priority' => 'default', //('high', 'core', 'default' or 'low')
	'text_domain' => ResponsiveGoogleMaps_Plugin::LANG,
	'before_metabox' => '<div class="custom-meta-box map_style_container">',
	'after_metabox' => '</div>',
	'before_field' => '<div class="custom-meta-box-field">',
	'after_field' => '</div>',
	'meta_fields' => array(
		array(
			'id' => 'geocode_address',
			'title' => 'Address to use for geocoding',
			'use_label' => true,
			'type' => 'text',
			'default' => false,
			'attributes' => array(
				'class' => 'address_to_geocode',
				'size' => 50
			),
			'html_after' => '<input type="button" class="button geocode_address_button" value="'.__("Geocode", ResponsiveGoogleMaps_Plugin::LANG).'" />'
		),
		array(
			'id' => 'infowindow_open',
			'title' => 'Infowindow open',
			'type' => 'radio',
			'use_label' => true,
			'default' => true,
			'inline' => true,
			'fields' => array(
				array(
					'id' => '1',
					'label' => 'Yes',
					'value' => 1,
					'default' => false
				),
				array(
					'id' => '0',
					'label' => 'No',
					'value' => 0,
					'default' => true,
				),
			)
		),
		array(
			'id' => 'image',
			'title' => 'Default marker image, remove to use site default image.',
			'use_label' => true,
			'type' => 'upload',
		),
		array(
			'id' => 'infowindow_content',
			'title' => 'Infowindow Content',
			'type' => 'textarea',
			'default' => 'Enter the content to be displayed in the infowindow.',
		),
		array(
			'id' => 'lat',
			'title' => 'Latitude',
			'use_label' => true,
			'type' => 'hidden',
			'default' => 40.00190007661672,
			'attributes' => array(
				'readonly' => '',
				'class' => 'geocoded_address_lat_single'
			)
		),
		array(
			'id' => 'lng',
			'title' => 'Longitude',
			'use_label' => true,
			'type' => 'hidden',
			'default' => -83.01966672081517,
			'attributes' => array(
				'readonly' => '',
				'class' => 'geocoded_address_lng_single'
			)
		)
	)
);
?>