<?php
return array(
	'menu_type' => 'sub', //'top' or 'sub'
	'parent_slug' => 'edit.php?post_type='.ResponsiveGoogleMaps_Plugin::$settings->get('location_slug').'',
	'page_title' => 'Location Settings',
	'menu_title' => 'Location Settings',
	'capability' => 'administrator',
	'menu_slug' => ResponsiveGoogleMaps_Plugin::$settings->get('location_slug').'-settings',
	'icon_url' => '',
	'position' => 100, // 0 - 100 the hight the number the lower the position http://codex.wordpress.org/Function_Reference/add_menu_page
	'help_title' => 'Location Settings',
	'help_file' => dirname(__FILE__).'/../help/location-options.html',
	'group' => 'markad_google_location',
	'text_domain' => ResponsiveGoogleMaps_Plugin::LANG,
	'sections' => array(
		array(
			'name' => 'location_settings',
			'settings_fields' => array(
				array(
					'id' => 'public',
					'title' => 'Allow location pages to be viewed publicly',
					'type' => 'radio',
					'inline' => true,
					'fields' => array(
						array(
							'id' => '1',
							'label' => 'Yes',
							'value' => 1,
							'default' => false
						),
						array(
							'id' => '0',
							'label' => 'No',
							'value' => 0,
							'default' => true,
						)
					)
				),
				array(
					'id' => 'searchable',
					'title' => 'Exclude location pages from search results',
					'type' => 'radio',
					'inline' => true,
					'fields' => array(
						array(
							'id' => '1',
							'label' => 'Yes',
							'value' => 1,
							'default' => true
						),
						array(
							'id' => '0',
							'label' => 'No',
							'value' => 0,
							'default' => false,
						)
					)
				),
				array(
					'id' => 'default_image',
					'title' => 'Default marker image. Remove to use Google default image.',
					'type' => 'upload',
					'default' => '',
				),
				array(
					'id' => 'async_locations',
					'title' => 'Asynchronously load locations on the front-end. This will decrease page load time, but slightly increase map rendering time. This effect is noticable with large numbers of locations.',
					'type' => 'radio',
					'inline' => true,
					'fields' => array(
						array(
							'id' => '1',
							'label' => 'Yes',
							'value' => 1,
							'default' => false
						),
						array(
							'id' => '0',
							'label' => 'No',
							'value' => 0,
							'default' => true,
						)
					)
				),
			)
		)
	)
);
?>