<?php
/**
 * The Template for displaying all single google-map posts.
 *
 * @package WordPress
 * @subpackage Twenty_Twelve
 * @since Twenty Twelve 1.0
 */

// adds a filter to add the map to the end of the post content
add_filter('the_content', function($content){
	global $post;
	return $content . "[google_map map_id=\"".$post->ID."\"/]";
}, 1, 1);

get_header(); ?>

	<div id="primary" class="site-content">
		<div id="content" role="main">

			<?php while ( have_posts() ) : the_post(); ?>

				<?php get_template_part( 'content', get_post_format() ); ?>
				<?php 
				//you can also add the shortcode where needed
				//echo do_shortcode('[google_map map_id="'.$post->ID.'"/]'); 
				?>

			<?php endwhile; // end of the loop. ?>

		</div><!-- #content -->
	</div><!-- #primary -->

<?php get_sidebar(); ?>
<?php get_footer(); ?>