<?php
/**
 * The Template for displaying all single location posts.
 *
 * @package WordPress
 * @subpackage Twenty_Twelve
 * @since Twenty Twelve 1.0
 */

// adds a filter to add the map to the end of the post content
add_filter('the_content', function($content){
	global $post;
	return $content . "[google_map location_id=\"".$post->ID."\"/]";
}, 1, 1);

get_header(); ?>

	<div id="primary" class="content-area">
		<div id="content" class="site-content" role="main">

			<?php /* The loop */ ?>
			<?php while ( have_posts() ) : the_post(); ?>
				
				<?php get_template_part( 'content', get_post_format() ); ?>
				<?php 
				// you may also add the shortcode where needed
				//echo do_shortcode('[google_map location_id="'.$post->ID.'"/]');
				 ?>

			<?php endwhile; ?>

		</div><!-- #content -->
	</div><!-- #primary -->
<?php get_sidebar(); ?>
<?php get_footer(); ?>