<?php
return array(
	'metabox_id' => 'location_info',
	'metabox_title' => 'Location Info',
	'post_type' => ResponsiveGoogleMaps_Plugin::$settings->get('location_slug'),
	'context' => 'side', //normal, advanced, side
	'priority' => 'high', //('high', 'core', 'default' or 'low')
	'text_domain' => ResponsiveGoogleMaps_Plugin::LANG,
	'before_field' => '<div class="custom-meta-box-field">',
	'after_field' => '</div>',
	'meta_fields' => array(
		array(
			'id' => 'lat',
			'title' => 'Latitude',
			'use_label' => true,
			'type' => 'text',
			'default' => 40.00190007661672,
			'attributes' => array(
				'readonly' => '',
				'class' => 'geocoded_address_lat_single',
			)
		),
		array(
			'id' => 'lng',
			'title' => 'Longitude',
			'use_label' => true,
			'type' => 'text',
			'default' => -83.01966672081517,
			'attributes' => array(
				'readonly' => '',
				'class' => 'geocoded_address_lng_single',
			)
		)
	)
);
?>