<?php
return array(
	'menu_type' => 'sub', //'top' or 'sub'
	'parent_slug' => 'edit.php?post_type='.ResponsiveGoogleMaps_Plugin::$settings->get('map_slug'), //google-map',
	'page_title' => 'Google Map Settings',
	'menu_title' => 'Map Settings',
	'capability' => 'administrator',
	'menu_slug' => ResponsiveGoogleMaps_Plugin::$settings->get('map_slug').'-settings',
	'icon_url' => '',
	'position' => 100, // 0 - 100 the hight the number the lower the position http://codex.wordpress.org/Function_Reference/add_menu_page
	'help_title' => 'Plugin/Map Settings',
	'help_file' => dirname(__FILE__).'/../help/map-options.html',
	'group' => 'markad_google_map',
	'text_domain' => ResponsiveGoogleMaps_Plugin::LANG,
	'sections' => array(
		array(
			'name' => 'plugin_settings',
			'title' => 'Plugin Settings',
			'settings_fields' => array(
				array(
					'id' => 'disable_backend_localization',
					'title' => 'Disable administrative localization for this plugin',
					'type' => 'radio',
					'inline' => true,
					'fields' => array(
						array(
							'id' => '1',
							'label' => 'Yes',
							'value' => 1,
							'default' => false
						),
						array(
							'id' => '0',
							'label' => 'No',
							'value' => 0,
							'default' => true,
						)
					)
				),
				array(
					'id' => 'disable_frontend_localization',
					'title' => 'Disable browser based front-end localization for this plugin',
					'type' => 'radio',
					'inline' => true,
					'fields' => array(
						array(
							'id' => '1',
							'label' => 'Yes',
							'value' => 1,
							'default' => false
						),
						array(
							'id' => '0',
							'label' => 'No',
							'value' => 0,
							'default' => true,
						)
					)
				),
				array(
					'id' => 'enable_front_ajax_cache',
					'title' => 'Enable front-end AJAX caching',
					'type' => 'radio',
					'inline' => true,
					'fields' => array(
						array(
							'id' => '1',
							'label' => 'Yes',
							'value' => 1,
							'default' => false
						),
						array(
							'id' => '0',
							'label' => 'No',
							'value' => 0,
							'default' => true,
						)
					)
				),
				array(
					'id' => 'map_api_key',
					'title' => 'Map API key',
					'type' => 'text',
					'default' => '',//'Please enter a valid API key',
					'attributes' => array(
						'size' => 50,
					)
				),
				array(
					'id' => 'fade_speed',
					'title' => 'Fade speed - in milliseconds',
					'type' => 'text',
					'default' => 500,
					'attributes' => array(
						'size' => 10
					)
				),
				array(
					'id' => 'public',
					'title' => 'Allow map pages to be viewed publicly',
					'type' => 'radio',
					'inline' => true,
					'fields' => array(
						array(
							'id' => '1',
							'label' => 'Yes',
							'value' => 1,
							'default' => false
						),
						array(
							'id' => '0',
							'label' => 'No',
							'value' => 0,
							'default' => true,
						)
					)
				),
				array(
					'id' => 'searchable',
					'title' => 'Exclude map pages from search results',
					'type' => 'radio',
					'inline' => true,
					'fields' => array(
						array(
							'id' => '1',
							'label' => 'Yes',
							'value' => 1,
							'default' => true
						),
						array(
							'id' => '0',
							'label' => 'No',
							'value' => 0,
							'default' => false,
						)
					)
				),
				array(
					'id' => 'allow_override',
					'title' => 'Allow individual maps to override default settings.',
					'type' => 'radio',
					'inline' => true,
					'fields' => array(
						array(
							'id' => '1',
							'label' => 'Yes',
							'value' => 1,
							'default' => false
						),
						array(
							'id' => '0',
							'label' => 'No',
							'value' => 0,
							'default' => true,
						)
					)
				)
			)
		),
		array(
			'name' => 'map_settings',
			'title' => 'Map Default Settings',
			'settings_fields' => array(
				array(
					'id' => 'enable_map_type_control',
					'title' => 'Enable map style control',
					'type' => 'radio',
					'inline' => true,
					'fields' => array(
						array(
							'id' => '1',
							'label' => 'Yes',
							'value' => 1,
							'default' => true
						),
						array(
							'id' => '0',
							'label' => 'No',
							'value' => 0,
							'default' => false,
						),
					)
				),
				array(
					'id' => 'enable_map_type_control_dropdown',
					'title' => 'Display map style control as a drop down menu',
					'type' => 'radio',
					'inline' => true,
					'fields' => array(
						array(
							'id' => '1',
							'label' => 'Yes',
							'value' => 1,
							'default' => false
						),
						array(
							'id' => '0',
							'label' => 'No',
							'value' => 0,
							'default' => true,
						),
					)
				),
				array(
					'id' => 'map_type',
					'title' => 'Default map style',
					'type' => 'select',
					'use_label' => false,
					'inline' => true,
					'attributes' => array(
						'class' => 'google-map-select'
					),
					'fields' => array(
						array(
							'id' => 'roadmap',
							'label' => 'Roadmap',
							'value' => 'ROADMAP',
							'text' => 'Roadmap',
							'default' => true
						),
						array(
							'id' => 'satellite',
							'label' => 'Satellite',
							'value' => 'SATELLITE',
							'text' => 'Satellite',
							'default' => false,
						),
						array(
							'id' => 'hybrid',
							'label' => 'Hybrid',
							'value' => 'HYBRID',
							'text' => 'Hybrid',
							'default' => false,
						),
						array(
							'id' => 'terrain',
							'label' => 'Terrain',
							'value' => 'TERRAIN',
							'text' => 'Terrain',
							'default' => false,
						)
					)
				),
				array(
					'id' => 'enable_zoom_control',
					'title' => 'Enable map zoom controls',
					'type' => 'radio',
					'inline' => true,
					'fields' => array(
						array(
							'id' => '1',
							'label' => 'Yes',
							'value' => 1,
							'default' => true
						),
						array(
							'id' => '0',
							'label' => 'No',
							'value' => 0,
							'default' => false,
						),
					)
				),
				array(
					'id' => 'enable_infowindow_zoom_control',
					'title' => 'Enable infowindow zoom controls',
					'type' => 'radio',
					'inline' => true,
					'fields' => array(
						array(
							'id' => '1',
							'label' => 'Yes',
							'value' => 1,
							'default' => true
						),
						array(
							'id' => '0',
							'label' => 'No',
							'value' => 0,
							'default' => false,
						),
					)
				),
				array(
					'id' => 'disable_doubleclick_zoom',
					'title' => 'Disable doubleclick zoom',
					'type' => 'radio',
					'inline' => true,
					'fields' => array(
						array(
							'id' => '1',
							'label' => 'Yes',
							'value' => 1,
							'default' => true
						),
						array(
							'id' => '0',
							'label' => 'No',
							'value' => 0,
							'default' => false,
						),
					)
				),
				array(
					'id' => 'enable_scroll_wheel_zoom',
					'title' => 'Enable scrollwheel zoom',
					'type' => 'radio',
					'inline' => true,
					'fields' => array(
						array(
							'id' => '1',
							'label' => 'Yes',
							'value' => 1,
							'default' => true
						),
						array(
							'id' => '0',
							'label' => 'No',
							'value' => 0,
							'default' => false,
						),
					)
				),
				array(
					'id' => 'tilt',
					'title' => 'Default tilt angle',
					'type' => 'select',
					'use_label' => false,
					'fields' => array(
						array(
							'id' => '0',
							'label' => '0',
							'value' => '0',
							'default' => false
						),
						array(
							'id' => '45',
							'label' => '45',
							'value' => '45',
							'default' => true
						),
					)
				),
				array(
					'id' => 'autocenter',
					'title' => 'Auto fit map - Overrides map center options and default zoom level.',
					'type' => 'radio',
					'inline' => true,
					'fields' => array(
						array(
							'id' => '1',
							'label' => 'Yes',
							'value' => 1,
							'default' => true
						),
						array(
							'id' => '0',
							'label' => 'No',
							'value' => 0,
							'default' => false,
						),
					)
				),
				array(
					'id' => 'enable_directions',
					'title' => 'Enable directions',
					'type' => 'radio',
					'inline' => true,
					'fields' => array(
						array(
							'id' => '1',
							'label' => 'Yes',
							'value' => 1,
							'default' => true
						),
						array(
							'id' => '0',
							'label' => 'No',
							'value' => 0,
							'default' => false,
						),
					)
				),
				array(
					'id' => 'directions_open_by_default',
					'title' => 'Directions form open by default',
					'type' => 'radio',
					'inline' => true,
					'fields' => array(
						array(
							'id' => '1',
							'label' => 'Yes',
							'value' => 1,
							'default' => false
						),
						array(
							'id' => '0',
							'label' => 'No',
							'value' => 0,
							'default' => true,
						),
					)
				),
				array(
					'id' => 'enable_infowindow_directions',
					'title' => 'Enable directions links in infowindows',
					'type' => 'radio',
					'inline' => true,
					'fields' => array(
						array(
							'id' => '1',
							'label' => 'Yes',
							'value' => 1,
							'default' => true
						),
						array(
							'id' => '0',
							'label' => 'No',
							'value' => 0,
							'default' => false,
						),
					)
				),
				array(
					'id' => 'show_overview_map_control',
					'title' => 'Show overview map control',
					'type' => 'radio',
					'inline' => true,
					'fields' => array(
						array(
							'id' => '1',
							'label' => 'Yes',
							'value' => 1,
							'default' => true
						),
						array(
							'id' => '0',
							'label' => 'No',
							'value' => 0,
							'default' => false,
						),
					)
				),
				array(
					'id' => 'overview_map_control_opened',
					'title' => 'Overview map control opened',
					'type' => 'radio',
					'inline' => true,
					'fields' => array(
						array(
							'id' => '1',
							'label' => 'Yes',
							'value' => 1,
							'default' => true
						),
						array(
							'id' => '0',
							'label' => 'No',
							'value' => 0,
							'default' => false,
						),
					)
				),
				array(
					'id' => 'enable_scale_control',
					'title' => 'Enable scale control',
					'type' => 'radio',
					'inline' => true,
					'fields' => array(
						array(
							'id' => '1',
							'label' => 'Yes',
							'value' => 1,
							'default' => true
						),
						array(
							'id' => '0',
							'label' => 'No',
							'value' => 0,
							'default' => false,
						),
					)
				),
				array(
					'id' => 'enable_rotate_control',
					'title' => 'Enable rotate control',
					'type' => 'radio',
					'inline' => true,
					'fields' => array(
						array(
							'id' => '1',
							'label' => 'Yes',
							'value' => 1,
							'default' => true
						),
						array(
							'id' => '0',
							'label' => 'No',
							'value' => 0,
							'default' => false,
						),
					)
				),
				array(
					'id' => 'enable_pan_control',
					'title' => 'Enable pan control',
					'type' => 'radio',
					'inline' => true,
					'fields' => array(
						array(
							'id' => '1',
							'label' => 'Yes',
							'value' => 1,
							'default' => true
						),
						array(
							'id' => '0',
							'label' => 'No',
							'value' => 0,
							'default' => false,
						),
					)
				),
				array(
					'id' => 'enable_street_view_control',
					'title' => 'Enable street view control',
					'type' => 'radio',
					'inline' => true,
					'fields' => array(
						array(
							'id' => '1',
							'label' => 'Yes',
							'value' => 1,
							'default' => true
						),
						array(
							'id' => '0',
							'label' => 'No',
							'value' => 0,
							'default' => false,
						),
					)
				),
				array(
					'id' => 'enable_autofit_button',
					'title' => 'Enable auto fit map button',
					'type' => 'radio',
					'inline' => true,
					'fields' => array(
						array(
							'id' => '1',
							'label' => 'Yes',
							'value' => 1,
							'default' => true
						),
						array(
							'id' => '0',
							'label' => 'No',
							'value' => 0,
							'default' => false,
						),
					)
				),
				array(
					'id' => 'enable_map_reset_button',
					'title' => 'Enable map reset button',
					'type' => 'radio',
					'inline' => true,
					'fields' => array(
						array(
							'id' => '1',
							'label' => 'Yes',
							'value' => 1,
							'default' => true
						),
						array(
							'id' => '0',
							'label' => 'No',
							'value' => 0,
							'default' => false,
						),
					)
				),
				array(
					'id' => 'enable_map_options_dropdown',
					'title' => 'Display auto fit map and reset map options as a drop down menu',
					'type' => 'radio',
					'inline' => true,
					'fields' => array(
						array(
							'id' => '1',
							'label' => 'Yes',
							'value' => 1,
							'default' => false
						),
						array(
							'id' => '0',
							'label' => 'No',
							'value' => 0,
							'default' => true,
						),
					)
				),
				array(
					'id' => 'enable_fullscreen_view',
					'title' => 'Enable full screen view',
					'type' => 'radio',
					'inline' => true,
					'fields' => array(
						array(
							'id' => '1',
							'label' => 'Yes',
							'value' => 1,
							'default' => true
						),
						array(
							'id' => '0',
							'label' => 'No',
							'value' => 0,
							'default' => false,
						),
					)
				),
				array(
					'id' => 'info_window_max_width',
					'title' => 'Infowindow max width - in pixels',
					'type' => 'text',
					'default' => 350,
					'attributes' => array(
						'size' => 5
					)
				),
				array(
					'id' => 'map_bg_color',
					'title' => 'Map background color',
					'type' => 'color',
					'default' => '#ffffff',
				),
				array(
					'id' => 'enable_map_nav_color',
					'title' => 'Enable map navigation background',
					'type' => 'radio',
					'inline' => true,
					'fields' => array(
						array(
							'id' => '1',
							'label' => 'Yes',
							'value' => 1,
							'default' => true
						),
						array(
							'id' => '0',
							'label' => 'No',
							'value' => 0,
							'default' => false,
						),
					)
				),
				array(
					'id' => 'map_nav_color',
					'title' => 'Map navigation background color',
					'type' => 'color',
					'default' => '#000000',
				),
				array(
					'id' => 'show_user_location',
					'title' => "Show user's location (You are here.)",
					'type' => 'radio',
					'inline' => true,
					'fields' => array(
						array(
							'id' => '1',
							'label' => 'Yes',
							'value' => 1,
							'default' => true
						),
						array(
							'id' => '0',
							'label' => 'No',
							'value' => 0,
							'default' => false,
						),
					)
				),
				array(
					'id' => 'enable_marker_clustering',
					'title' => 'Enable marker clustering',
					'type' => 'radio',
					'inline' => true,
					'fields' => array(
						array(
							'id' => '1',
							'label' => 'Yes',
							'value' => 1,
							'default' => true
						),
						array(
							'id' => '0',
							'label' => 'No',
							'value' => 0,
							'default' => false,
						),
					)
				),
				array(
					'id' => 'enable_weather_layer',
					'title' => 'Enable weather layer',
					'type' => 'radio',
					'inline' => true,
					'fields' => array(
						array(
							'id' => '1',
							'label' => 'Yes',
							'value' => 1,
							'default' => false
						),
						array(
							'id' => '0',
							'label' => 'No',
							'value' => 0,
							'default' => true,
						),
					)
				),
				array(
					'id' => 'weather_layer_temp',
					'title' => 'Display temperature as',
					'type' => 'select',
					'inline' => true,
					'fields' => array(
						array(
							'id' => '1',
							'label' => 'Fahrenheit',
							'value' => 'Fahrenheit',
							'default' => true
						),
						array(
							'id' => '0',
							'label' => 'Celsius',
							'value' => 'Celsius',
							'default' => false,
						),
					)
				),
				array(
					'id' => 'weather_layer_wind_speed',
					'title' => 'Display wind speed as',
					'type' => 'select',
					'default' => 'Miles Per Hour',
					'inline' => true,
					'attributes' => array(
						'class' => 'google-map-select'
					),
					'fields' => array(
						array(
							'id' => '0',
							'label' => 'Miles Per Hour',
							'value' => 'Miles Per Hour',
							'default' => true
						),
						array(
							'id' => '1',
							'label' => 'Kilometers Per Hour',
							'value' => 'Kilometers Per Hour',
							'default' => false,
						),
						array(
							'id' => '2',
							'label' => 'Meters Per Second',
							'value' => 'Meters Per Second',
							'default' => false,
						),
					)
				),
				array(
					'id' => 'enable_cloud_layer',
					'title' => 'Enable cloud layer',
					'type' => 'radio',
					'default' => false,
					'inline' => true,
					'fields' => array(
						array(
							'id' => '1',
							'label' => 'Yes',
							'value' => 1,
							'default' => false
						),
						array(
							'id' => '0',
							'label' => 'No',
							'value' => 0,
							'default' => true,
						),
					)
				),
				array(
					'id' => 'enable_panoramio_layer',
					'title' => 'Enable Panoramio layer',
					'type' => 'radio',
					'inline' => true,
					'fields' => array(
						array(
							'id' => '1',
							'label' => 'Yes',
							'value' => 1,
							'default' => false
						),
						array(
							'id' => '0',
							'label' => 'No',
							'value' => 0,
							'default' => true,
						),
					)
				),
				array(
					'id' => 'panoramio_filter_id',
					'title' => 'Filter Panoramio images by user ID',
					'type' => 'text',
					'use_label' => false,
					'attributes' => array(
						'size' => 20
					)
				),
				array(
					'id' => 'panoramio_filter_tag',
					'title' => 'Filter Panoramio images by tag. Overrides user ID set above',
					'type' => 'text',
					'use_label' => false,
					'attributes' => array(
						'size' => 20
					)
				),
				array(
					'id' => 'enable_bicycle_layer',
					'title' => 'Enable bicycle layer',
					'type' => 'radio',
					'default' => false,
					'inline' => true,
					'fields' => array(
						array(
							'id' => '1',
							'label' => 'Yes',
							'value' => 1,
							'default' => false
						),
						array(
							'id' => '0',
							'label' => 'No',
							'value' => 0,
							'default' => true,
						),
					)
				),
				array(
					'id' => 'enable_traffic_layer',
					'title' => 'Enable traffic layer',
					'type' => 'radio',
					'default' => false,
					'inline' => true,
					'fields' => array(
						array(
							'id' => '1',
							'label' => 'Yes',
							'value' => 1,
							'default' => false
						),
						array(
							'id' => '0',
							'label' => 'No',
							'value' => 0,
							'default' => true,
						),
					)
				),
				array(
					'id' => 'enable_transit_layer',
					'title' => 'Enable transit layer',
					'type' => 'radio',
					'default' => false,
					'inline' => true,
					'fields' => array(
						array(
							'id' => '1',
							'label' => 'Yes',
							'value' => 1,
							'default' => false
						),
						array(
							'id' => '0',
							'label' => 'No',
							'value' => 0,
							'default' => true,
						),
					)
				),
				array(
					'id' => 'center_lat',
					'title' => 'Default center latitude',
					'type' => 'text',
					'default' => 40.00190007661672,
					'attributes' => array(
						'readonly' => ''
					)
				),
				array(
					'id' => 'center_lng',
					'title' => 'Default center longitude',
					'type' => 'text',
					'default' => -83.01966672081517,
					'attributes' => array(
						'readonly' => ''
					)
				),
				array(
					'id' => 'zoom_level',
					'title' => 'Default zoom',
					'type' => 'text',
					'default' => 16,
					'attributes' => array(
						'readonly' => ''
					)
				),
				array(
					'id' => 'geocode_address_button_html',
					'title' => 'Find an address or move the map to the center of your choice.',
					'type' => 'custom',
					'default' => false,
					'html' => '<div><input type="text" id="" class="address_to_geocode" value="" /> &nbsp; <input type="button" class="button geocode_address_button" value="'.__("Find on Map", ResponsiveGoogleMaps_Plugin::LANG).'" /></div>'
				),
				array(
					'id' => 'map_canvas_container',
					'title' => '',
					'type' => 'custom',
					'default' => false,
					'html' => '<div id="map_canvas" class="map_canvas"></div>',
					'attributes' => array(
						'style' => 'width:500px;height:300px;',
						
					)
				)
			)
		)
	)
);
?>