<?php
return array(
	'menu_type' => 'sub', //'top' or 'sub'
	'parent_slug' => 'edit.php?post_type='.ResponsiveGoogleMaps_Plugin::$settings->get('map_type_slug').'',
	'page_title' => 'Map Style Settings',
	'menu_title' => 'Map Style Settings',
	'capability' => 'administrator',
	'menu_slug' => ResponsiveGoogleMaps_Plugin::$settings->get('map_type_slug').'-settings',
	'icon_url' => '',
	'position' => 100, // 0 - 100 the hight the number the lower the position http://codex.wordpress.org/Function_Reference/add_menu_page
	'help_title' => 'Map Style Settings',
	'help_file' => dirname(__FILE__).'/../help/map-styles-options.html',
	'group' => 'markad_google_styles',
	'text_domain' => ResponsiveGoogleMaps_Plugin::LANG,
	'sections' => array(
		array(
			'name' => 'map_style_settings',
			'settings_fields' => array(
				/*array(
					'id' => '',
					'title' => '',
					'type' => 'custom',
					'html' => "<p>These settings allow the map style names to be localied based on the user's browser settings.</p>"
				),*/
				array(
					'id' => 'localize_with_browser',
					'title' => "Allow localization of map style names based on user's browser language. .mo files are required.",
					'type' => 'radio',
					'inline' => true,
					'fields' => array(
						array(
							'id' => '1',
							'label' => 'Yes',
							'value' => 1,
							'default' => false
						),
						array(
							'id' => '0',
							'label' => 'No',
							'value' => 0,
							'default' => true,
						)
					)
				),
				array(
					'id' => 'domain_folder',
					'before_input' => str_replace(ABSPATH, '', get_template_directory()).'/<br />',
					'title' => 'Folder path to language(.mo) files within your theme. Only used with browser based localization. Please see help files for more information.',
					'type' => 'text',
					'default' => '',
					'attributes' => array(
						'size' => 50,
					)
				),
				array(
					'id' => 'text_domain',
					'title' => 'Default text domain for map style name translation. This is used if browser based localization is disabled.',
					'type' => 'text',
					'default' => '',
					'attributes' => array(
						'size' => 50,
					)
				),
				
			)
		)
	)
);
?>